//Script Restore all Window
#import "user32.dll"
int GetParent(int hWnd);
int SendMessageW(int hWnd,int Msg,int wParam,int lParam);
#import

//+------------------------------------------------------------------+
//| Restore Window size                                              |
//+------------------------------------------------------------------+
int WindowRestore(int hwnd)
  {
   int Parent=GetParent(hwnd);
   return SendMessageW(GetParent(Parent), 0x0223, Parent, 0);
  }
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {

   long currChart=ChartFirst();

   while(true)
     {
      int hWnd=ChartWindowsHandle(currChart);
      WindowRestore(hWnd);
      ChartRedraw(currChart);
      if(ChartNext(currChart)<0)
         break;
      else
        {
         currChart=ChartNext(currChart);
        }
     }
     Comment("Script Complete");
  }
//+------------------------------------------------------------------+
//| Get Handle from ID Chart                                         |
//+------------------------------------------------------------------+
int ChartWindowsHandle(const long chart_ID=0)
  {
//--- prepare the variable to get the property value
   long result=-1;
//--- reset the error value
   ResetLastError();
//--- receive the property value
   if(!ChartGetInteger(chart_ID,CHART_WINDOW_HANDLE,0,result))
     {
      //--- display the error message in Experts journal
      Print(__FUNCTION__+", Error Code = ",GetLastError());
     }
//--- return the value of the chart property
   return((int)result);
  }
